MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029934Open CASCADE[OCCT] OCCT:Visualizationpublic2018-07-06 18:492018-07-14 12:42
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029934: Visualization - handle properly orthogonal clipping plane within SelectMgr_RectangularFrustum::computeClippingRange()
DescriptionSelectMgr_RectangularFrustum::computeClippingRange() just ignores clipping plane orthogonal to the camera direction, however the plane may clip everything.
This is possible only within orthogonal projection (within perspective projection ray may be orthogonal only when picking exactly into clipping plane).
Steps To Reproduce
pload MODELING VISUALIZATION
restore [locate_data_file occ/bottle.brep] b
vclear
vinit View1
vdisplay -dispMode 1 -highMode 1 b
vzbufftrihedron
vfront
vfit
vclipplane p -equation 1 0 0 -20 -set
vmoveto 150 200
vstate -entities
vselect 150 200
if { [vreadpixel 150 200 rgb name] != "BLACK"      } { puts "Error" }
if { [vreadpixel 350 200 rgb name] != "GOLDENROD1" } { puts "Error" }
TagsNo tags attached.
Test case numberbugs/vis/bug29791
Attached Files

- Relationships
related to 0029791closedabv Community Visualization - Wrong result of SelectMgr_RectangularFrustum::IsClipped 

-  Notes
(0077315)
git (administrator)
2018-07-06 19:07

Branch CR29934 has been created by kgv.

SHA-1: 986db59bd2a432ec7b4d62fb2e34ca4e0772685e


Detailed log of new commits:

Author: kgv
Date: Fri Jul 6 19:04:49 2018 +0300

    0029934: Visualization - handle properly orthogonal clipping plane within SelectMgr_RectangularFrustum::computeClippingRange()
    
    SelectMgr_RectangularFrustum now considers the direction of clipping plane orthogonal to picking ray.
(0077320)
kgv (developer)
2018-07-07 03:03

Please take the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29934-master-KGV [^]
(0077425)
bugmaster (administrator)
2018-07-10 17:05

OCCT branch : CR29934 SHA-1: 986db59bd2a432ec7b4d62fb2e34ca4e0772685e
Products branch : master SHA - 49c228d5213fed6561994d0148827917539e38c8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17212.959999999723 / 17169.739999999776 [+0.25%]
Products
Total CPU difference: 7509.790000000045 / 7501.920000000043 [+0.10%]
Windows-64-VC10:
OCCT
Total CPU difference: 16856.750455398604 / 16852.39802749857 [+0.03%]
Products
Total CPU difference: 8259.27014369986 / 8212.11104139987 [+0.57%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077619)
git (administrator)
2018-07-14 12:42

Branch CR29934 has been deleted by inv.

SHA-1: 986db59bd2a432ec7b4d62fb2e34ca4e0772685e

- Related Changesets
occt: master 029594a0
Timestamp: 2018-07-06 16:04:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029934: Visualization - handle properly orthogonal clipping plane within SelectMgr_RectangularFrustum::computeClippingRange()

SelectMgr_RectangularFrustum now considers the direction of clipping plane orthogonal to picking ray.
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]
mod - tests/bugs/vis/bug29791 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-06 18:49 kgv New Issue
2018-07-06 18:49 kgv Assigned To => kgv
2018-07-06 18:49 kgv Relationship added related to 0029791
2018-07-06 19:06 kgv Description Updated View Revisions
2018-07-06 19:07 git Note Added: 0077315
2018-07-07 03:03 kgv Note Added: 0077320
2018-07-07 03:03 kgv Assigned To kgv => bugmaster
2018-07-07 03:03 kgv Status new => resolved
2018-07-07 03:03 kgv Status resolved => reviewed
2018-07-07 03:03 kgv Product Version 7.3.0 => 6.9.0
2018-07-10 17:05 bugmaster Note Added: 0077425
2018-07-10 17:05 bugmaster Status reviewed => tested
2018-07-10 17:05 bugmaster Test case number => bugs/vis/bug29791
2018-07-14 12:26 bugmaster Changeset attached => occt master 029594a0
2018-07-14 12:26 bugmaster Status tested => verified
2018-07-14 12:26 bugmaster Resolution open => fixed
2018-07-14 12:42 git Note Added: 0077619


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker